org.richfaces.renderkit.html

## Class ScrollableDataTableRendererState

- java.lang.Object
- - org.richfaces.renderkit.html.ScrollableDataTableRendererState

-     public class ScrollableDataTableRendererState
      extends java.lang.Object

  bean to store current `UIDataAdaptor` information in request map. For nested grids, it support push/pop state saving. In `Renderer.encodeBegin(javax.faces.context.FacesContext, javax.faces.component.UIComponent)` method must be created instance of this bean , or, if it already exist in request map - push information. at the end of encodeEnd call, bean must be pop information or removed.
  Author:
    shura

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DATA_GRID_RENDERER_STATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScrollableDataTableRendererState(javax.faces.context.FacesContext context, ScrollableDataTableRendererState previsiosState, UIScrollableDataTable grid)` Create state for current grid ( and store previsios state in field ).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addId(java.lang.String id)`
    `static ScrollableDataTableRendererState` | `createState(javax.faces.context.FacesContext context, UIScrollableDataTable grid)` Create new state for current grid.
    `org.ajax4jsf.context.AjaxContext` | `getAjaxContext()`
    `java.lang.StringBuffer` | `getBuffer()`
    `java.lang.String` | `getCachedClientId()`
    `java.lang.String` | `getCellIdPrefix()`
    `int` | `getCellIndex()`
    `java.lang.String` | `getClientId()`
    `java.lang.String` | `getColumnClass()`
    `java.lang.String` | `getColumnClass(int index)`
    `java.lang.String` | `getColumnHeaderClass()`
    `int` | `getColumns()`
    `java.lang.String` | `getColumnType()`
    `java.lang.String` | `getCurrentCellId(javax.faces.context.FacesContext context)`
    `int` | `getFrozenColumnCount()`
    `UIScrollableDataTable` | `getGrid()`
    `java.util.Set<java.lang.String>` | `getIds()`
    `java.lang.String` | `getPart()`
    `ScrollableDataTableRendererState` | `getPreviousState()`
    `static ScrollableDataTableRendererState` | `getRendererState(javax.faces.context.FacesContext context)` Get current grid state from JSF context
    `java.lang.String` | `getRowClass()`
    `int` | `getRowIndex()`
    `java.lang.Object` | `getRowKey()`
    `java.lang.Integer` | `getSepOffset()`
    `int` | `getSumWidth()`
    `javax.faces.context.ResponseWriter` | `getWriter()`
    `boolean` | `isFake()`
    `boolean` | `isFrozenColumn()`
    `boolean` | `isFrozenPart()`
    `boolean` | `isHeader()`
    `int` | `nextCell()` Increment cells counter
    `int` | `nextRow()` Increment current row counter.
    `static void` | `restoreState(javax.faces.context.FacesContext context)` Restore previsius state for gred, or clear request parameter.
    `void` | `setAjaxContext(org.ajax4jsf.context.AjaxContext ajaxContext)`
    `void` | `setCellIdPrefix(java.lang.String _id_prefix)`
    `void` | `setCellIndex(int cellIndex)`
    `void` | `setClientId(java.lang.String clientId)`
    `void` | `setColumnClasses(java.lang.Object columnClasses)`
    `void` | `setColumns(int columns)`
    `void` | `setColumType(java.lang.String _column_type)`
    `void` | `setFake(boolean fake)`
    `void` | `setFrozenColumnCount(int columnCount)`
    `void` | `setFrozenPart(boolean part)`
    `void` | `setGrid(UIScrollableDataTable grid)`
    `void` | `setHeader(boolean header)`
    `void` | `setPart(java.lang.String part)`
    `void` | `setPreviousState(ScrollableDataTableRendererState previsiosState)`
    `void` | `setRowClasses(java.lang.Object rowClasses)`
    `void` | `setRowIndex(int rowIndex)`
    `void` | `setRowKey(java.lang.Object rowKey)`
    `void` | `setSepOffset(java.lang.Integer sepOffset)`
    `void` | `setSumWidth(int sumWidth)`
    `void` | `setWriter(javax.faces.context.ResponseWriter writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DATA_GRID_RENDERER_STATE

          public static final java.lang.String DATA_GRID_RENDERER_STATE

  - ### Constructor Detail

    - #### ScrollableDataTableRendererState

          public ScrollableDataTableRendererState(javax.faces.context.FacesContext context,
                                          ScrollableDataTableRendererState previsiosState,
                                          UIScrollableDataTable grid)

      Create state for current grid ( and store previsios state in field ).
      Parameters:
        `previsiosState` -

  - ### Method Detail

    - #### getRendererState

          public static ScrollableDataTableRendererState getRendererState(javax.faces.context.FacesContext context)
                                                                   throws javax.faces.FacesException

      Get current grid state from JSF context
      Parameters:
        `context` -
      Returns:
        current data grid state, or null if not saved.
      Throws:
        `javax.faces.FacesException`

    - #### createState

          public static ScrollableDataTableRendererState createState(javax.faces.context.FacesContext context,
                                                     UIScrollableDataTable grid)

      Create new state for current grid. If state exist, store previsius in field of created.
      Parameters:
        `context` -
        `grid` -
      Returns:
        new state for grid.

    - #### restoreState

          public static void restoreState(javax.faces.context.FacesContext context)

      Restore previsius state for gred, or clear request parameter.
      Parameters:
        `context` -

    - #### getCurrentCellId

          public java.lang.String getCurrentCellId(javax.faces.context.FacesContext context)

    - #### getCellIndex

          public int getCellIndex()

      Returns:
        Returns the cellIndex.

    - #### setCellIndex

          public void setCellIndex(int cellIndex)

      Parameters:
        `cellIndex` - The cellIndex to set.

    - #### nextCell

          public int nextCell()

      Increment cells counter
      Returns:
        next cell number.

    - #### getColumns

          public int getColumns()

      Returns:
        Returns the columns.

    - #### setColumns

          public void setColumns(int columns)

      Parameters:
        `columns` - The columns to set.

    - #### getGrid

          public UIScrollableDataTable getGrid()

      Returns:
        Returns the grid.

    - #### setGrid

          public void setGrid(UIScrollableDataTable grid)

      Parameters:
        `grid` - The grid to set.

    - #### getPreviousState

          public ScrollableDataTableRendererState getPreviousState()

      Returns:
        Returns the previsiosState.

    - #### setPreviousState

          public void setPreviousState(ScrollableDataTableRendererState previsiosState)

      Parameters:
        `previsiosState` - The previsiosState to set.

    - #### getRowIndex

          public int getRowIndex()

      Returns:
        Returns the rowIndex.

    - #### nextRow

          public int nextRow()

      Increment current row counter.
      Returns:
        new row number.

    - #### setRowIndex

          public void setRowIndex(int rowIndex)

      Parameters:
        `rowIndex` - The rowIndex to set.

    - #### getCachedClientId

          public java.lang.String getCachedClientId()

      Returns:
        the _cachedClientId

    - #### getBuffer

          public java.lang.StringBuffer getBuffer()

      Returns:
        the buffer

    - #### getRowKey

          public java.lang.Object getRowKey()

      Returns:
        the rowKey

    - #### setRowKey

          public void setRowKey(java.lang.Object rowKey)

      Parameters:
        `rowKey` - the rowKey to set

    - #### isFrozenColumn

          public boolean isFrozenColumn()

    - #### setFrozenColumnCount

          public void setFrozenColumnCount(int columnCount)

    - #### getFrozenColumnCount

          public int getFrozenColumnCount()

    - #### isFrozenPart

          public boolean isFrozenPart()

    - #### setFrozenPart

          public void setFrozenPart(boolean part)

    - #### getCellIdPrefix

          public java.lang.String getCellIdPrefix()

    - #### setCellIdPrefix

          public void setCellIdPrefix(java.lang.String _id_prefix)

    - #### getColumnType

          public java.lang.String getColumnType()

    - #### setColumType

          public void setColumType(java.lang.String _column_type)

    - #### getAjaxContext

          public org.ajax4jsf.context.AjaxContext getAjaxContext()

    - #### setAjaxContext

          public void setAjaxContext(org.ajax4jsf.context.AjaxContext ajaxContext)

    - #### getWriter

          public javax.faces.context.ResponseWriter getWriter()

    - #### setWriter

          public void setWriter(javax.faces.context.ResponseWriter writer)

    - #### getClientId

          public java.lang.String getClientId()

    - #### setClientId

          public void setClientId(java.lang.String clientId)

    - #### isHeader

          public boolean isHeader()

    - #### setHeader

          public void setHeader(boolean header)

    - #### getPart

          public java.lang.String getPart()

    - #### setPart

          public void setPart(java.lang.String part)

    - #### getSumWidth

          public int getSumWidth()

    - #### setSumWidth

          public void setSumWidth(int sumWidth)

    - #### getSepOffset

          public java.lang.Integer getSepOffset()

    - #### setSepOffset

          public void setSepOffset(java.lang.Integer sepOffset)

    - #### isFake

          public boolean isFake()

    - #### setFake

          public void setFake(boolean fake)

    - #### getColumnHeaderClass

          public java.lang.String getColumnHeaderClass()

    - #### getColumnClass

          public java.lang.String getColumnClass()

    - #### getColumnClass

          public java.lang.String getColumnClass(int index)

    - #### setColumnClasses

          public void setColumnClasses(java.lang.Object columnClasses)

    - #### getRowClass

          public java.lang.String getRowClass()

    - #### setRowClasses

          public void setRowClasses(java.lang.Object rowClasses)

    - #### getIds

          public java.util.Set<java.lang.String> getIds()

    - #### addId

          public void addId(java.lang.String id)

Copyright © 2014. All Rights Reserved.